Bug 474071 - Ec2 enhanced -lower case parsing of condor_config.local
Ec2 enhanced -lower case parsing of condor_config.local
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Robert Rati
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 18:57 EST by William Henry
Modified: 2009-02-04 11:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:04:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0036 normal SHIPPED_LIVE Red Hat Enterprise MRG Grid 1.1 Release 2009-02-04 11:03:49 EST

  None (edit)
Description William Henry 2008-12-01 18:57:01 EST
Description of problem:

condor_config.local setting:
set_amazonaccesskey = "/home/whenry/os/ec2_tests/AccessKeyID";

job-router log:
cat: /home/whenry/os/ec2_tests/accesskeyid: No such file or directory

Same issue with SecretAccessKey etc.
Comment 1 Robert Rati 2008-12-02 10:33:41 EST
Issue was that the hook scripts were lowercasing lines for use in regexs, and as a result the values from those regexs were lowercased as well.  This doesn't work so well for most thing on Unix.  Restructured the logic to avoid the issue in the hooks.
Comment 3 Jeff Needle 2008-12-02 11:16:08 EST
Fix verified by whenry
Comment 5 errata-xmlrpc 2009-02-04 11:04:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.